## checkpw 1.02

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.

SHELL=/bin/sh

default: it


it: prog install instcheck

load: warn-auto.sh conf-ld
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo exec "`head -1 conf-ld`" \
	'-o "$$main" "$$main".o $${1+"$$@"}' \
	) > load
	chmod 755 load

prog: auto-str auto-int8 checkpw checkapoppw \
selectcheckpw loginlog \
run-pop run-apop run-rules run-both run-multidir run-multipw

auto_patrn.c: auto-int8 conf-patrn
	./auto-int8 auto_patrn `head -1 conf-patrn` > auto_patrn.c

auto_patrn.o: compile \
auto_patrn.c
	./compile auto_patrn.c

compile: warn-auto.sh conf-cc
	( cat warn-auto.sh; \
	echo exec "`head -1 conf-cc`" '-c $${1+"$$@"}' \
	) > compile
	chmod 755 compile

checkapoppw.o: compile \
checkapoppw.c \
error.h pathexec.h prot.h stralloc.h gen_alloc.h openreadclose.h env.h \
global.h md5.h auto_maildir.h auto_password.h auto_patrn.h
	./compile checkapoppw.c

check: it instcheck
	./instcheck

env.o: compile \
env.c \
str.h env.h
	./compile env.c

auto_password.c: auto-str conf-password
	./auto-str auto_password `head -1 conf-password` > auto_password.c

auto_password.o: compile \
auto_password.c
	./compile auto_password.c

setup: it install
	./install

open_read.o: compile \
open_read.c \
open.h
	./compile open_read.c

selectcheckpw: warn-auto.sh selectcheckpw.sh conf-home
	cat warn-auto.sh selectcheckpw.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> selectcheckpw
	chmod 755 selectcheckpw

auto_home.c: auto-str conf-home
	./auto-str auto_home `head -1 conf-home` > auto_home.c

auto_home.o: compile \
auto_home.c
	./compile auto_home.c

checkapoppw: load checkapoppw.o auto_maildir.o auto_password.o \
auto_patrn.o md5c.o unix.a byte.a
	./load checkapoppw auto_maildir.o auto_password.o auto_patrn.o md5c.o \
	unix.a byte.a 

auto-str: load auto-str.o unix.a byte.a
	./load auto-str unix.a byte.a 

alloc_re.o: compile \
alloc_re.c \
alloc.h byte.h
	./compile alloc_re.c

run-multidir: warn-auto.sh run-multidir.sh conf-home
	cat warn-auto.sh run-multidir.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> run-multidir
	chmod 755 run-multidir

run-pop: warn-auto.sh run-pop.sh conf-home
	cat warn-auto.sh run-pop.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> run-pop
	chmod 755 run-pop

makelib: warn-auto.sh systype
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo 'rm -f "$$main"'; \
	echo 'ar cr "$$main" $${1+"$$@"}'; \
	case "`cat systype`" in \
	sunos-5.*) ;; \
	unix_sv*) ;; \
	irix64-*) ;; \
	irix-*) ;; \
	dgux-*) ;; \
	hp-ux-*) ;; \
	sco*) ;; \
	*) echo 'ranlib "$$main"' ;; \
	esac \
	) > makelib
	chmod 755 makelib

openreadclose.o: compile \
openreadclose.c \
error.h open.h readclose.h stralloc.h gen_alloc.h openreadclose.h
	./compile openreadclose.c

run-apop: warn-auto.sh run-apop.sh conf-home
	cat warn-auto.sh run-apop.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> run-apop
	chmod 755 run-apop

run-both: warn-auto.sh run-both.sh conf-home
	cat warn-auto.sh run-both.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> run-both
	chmod 755 run-both

str_start.o: compile \
str_start.c \
str.h
	./compile str_start.c

instcheck.o: compile \
instcheck.c \
strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

auto_maildir.c: auto-str conf-maildir
	./auto-str auto_maildir `head -1 conf-maildir` > auto_maildir.c

auto_maildir.o: compile \
auto_maildir.c
	./compile auto_maildir.c

open_trunc.o: compile \
open_trunc.c \
open.h
	./compile open_trunc.c

error.o: compile \
error.c \
error.h
	./compile error.c

strerr_die.o: compile \
strerr_die.c \
buffer.h exit.h strerr.h
	./compile strerr_die.c

buffer_get.o: compile \
buffer_get.c \
buffer.h byte.h error.h
	./compile buffer_get.c

fmt_ulong.o: compile \
fmt_ulong.c \
fmt.h
	./compile fmt_ulong.c

buffer_put.o: compile \
buffer_put.c \
buffer.h str.h byte.h error.h
	./compile buffer_put.c

strerr_sys.o: compile \
strerr_sys.c \
error.h strerr.h
	./compile strerr_sys.c

stralloc_catb.o: compile \
stralloc_catb.c \
stralloc.h gen_alloc.h byte.h
	./compile stralloc_catb.c

stralloc_cats.o: compile \
stralloc_cats.c \
byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_cats.c

buffer_copy.o: compile \
buffer_copy.c \
buffer.h
	./compile buffer_copy.c

stralloc_eady.o: compile \
stralloc_eady.c \
alloc.h stralloc.h gen_alloc.h gen_allocdefs.h
	./compile stralloc_eady.c

byte.a: makelib byte_copy.o byte_cr.o byte_diff.o str_chr.o str_len.o \
str_start.o
	./makelib byte.a byte_copy.o byte_cr.o byte_diff.o str_chr.o str_len.o \
	str_start.o

run-multipw: warn-auto.sh run-multipw.sh conf-home
	cat warn-auto.sh run-multipw.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> run-multipw
	chmod 755 run-multipw

pathexec_env.o: compile \
pathexec_env.c \
stralloc.h gen_alloc.h alloc.h str.h byte.h env.h pathexec.h
	./compile pathexec_env.c

systype: find-systype.sh conf-cc conf-ld trycpp.c x86cpuid.c
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\'; \
	cat find-systype.sh; \
	) | sh > systype

hier.o: compile \
hier.c \
auto_home.h
	./compile hier.c

pathexec_run.o: compile \
pathexec_run.c \
error.h stralloc.h gen_alloc.h str.h env.h pathexec.h
	./compile pathexec_run.c

substdo.o: compile \
substdo.c \
substdio.h str.h byte.h error.h
	./compile substdo.c

md5c.o: compile \
md5c.c \
global.h md5.h
	./compile md5c.c

byte_cr.o: compile \
byte_cr.c \
byte.h
	./compile byte_cr.c

stralloc_pend.o: compile \
stralloc_pend.c \
alloc.h stralloc.h gen_alloc.h gen_allocdefs.h
	./compile stralloc_pend.c

stralloc_opyb.o: compile \
stralloc_opyb.c \
stralloc.h gen_alloc.h byte.h
	./compile stralloc_opyb.c

stralloc_opys.o: compile \
stralloc_opys.c \
byte.h str.h stralloc.h gen_alloc.h
	./compile stralloc_opys.c

prot.o: compile \
prot.c \
hasshsgr.h prot.h
	./compile prot.c

auto-str.o: compile \
auto-str.c \
buffer.h readwrite.h exit.h
	./compile auto-str.c

buffer.o: compile \
buffer.c \
buffer.h
	./compile buffer.c

auto-int8: load auto-int8.o unix.a byte.a
	./load auto-int8 unix.a byte.a 

unix.a: makelib alloc.o alloc_re.o buffer.o buffer_2.o buffer_copy.o \
buffer_get.o buffer_put.o env.o error.o error_str.o open_read.o \
open_trunc.o openreadclose.o readclose.o pathexec_env.o pathexec_run.o \
prot.o stralloc_cat.o stralloc_catb.o stralloc_cats.o stralloc_eady.o \
stralloc_opyb.o stralloc_opys.o stralloc_pend.o strerr_die.o strerr_sys.o \
substdo.o scan_8long.o fmt_ulong.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_2.o buffer_copy.o \
	buffer_get.o buffer_put.o env.o error.o error_str.o open_read.o \
	open_trunc.o openreadclose.o readclose.o pathexec_env.o pathexec_run.o \
	prot.o stralloc_cat.o stralloc_catb.o stralloc_cats.o stralloc_eady.o \
	stralloc_opyb.o stralloc_opys.o stralloc_pend.o strerr_die.o \
	strerr_sys.o substdo.o scan_8long.o fmt_ulong.o

checkpw.o: compile \
checkpw.c \
error.h pathexec.h prot.h stralloc.h gen_alloc.h openreadclose.h env.h \
auto_maildir.h auto_password.h auto_patrn.h
	./compile checkpw.c

readclose.o: compile \
readclose.c \
error.h readclose.h stralloc.h gen_alloc.h
	./compile readclose.c

alloc.o: compile \
alloc.c \
alloc.h error.h
	./compile alloc.c

loginlog: warn-auto.sh loginlog.sh conf-home
	cat warn-auto.sh loginlog.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> loginlog
	chmod 755 loginlog

stralloc_cat.o: compile \
stralloc_cat.c \
byte.h stralloc.h gen_alloc.h
	./compile stralloc_cat.c

run-rules: warn-auto.sh run-rules.sh conf-home
	cat warn-auto.sh run-rules.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	| sed s}QMAIL}"`head -1 conf-qmail`"}g \
	| sed s}MAILDIR}"`head -1 conf-maildir`"}g \
	> run-rules
	chmod 755 run-rules

buffer_2.o: compile \
buffer_2.c \
readwrite.h buffer.h
	./compile buffer_2.c

byte_copy.o: compile \
byte_copy.c \
byte.h
	./compile byte_copy.c

byte_diff.o: compile \
byte_diff.c \
byte.h
	./compile byte_diff.c

install: load install.o hier.o auto_home.o unix.a byte.a
	./load install hier.o auto_home.o unix.a byte.a 

auto-int8.o: compile \
auto-int8.c \
substdio.h readwrite.h exit.h scan.h fmt.h
	./compile auto-int8.c

error_str.o: compile \
error_str.c \
error.h
	./compile error_str.c

checkpw: load checkpw.o auto_maildir.o auto_password.o auto_patrn.o \
unix.a byte.a
	./load checkpw auto_maildir.o auto_password.o auto_patrn.o unix.a byte.a \
	

install.o: compile \
install.c \
buffer.h strerr.h error.h open.h readwrite.h exit.h
	./compile install.c

instcheck: load instcheck.o hier.o auto_home.o unix.a byte.a
	./load instcheck hier.o auto_home.o unix.a byte.a 

str_chr.o: compile \
str_chr.c \
str.h
	./compile str_chr.c

scan_8long.o: compile \
scan_8long.c \
scan.h
	./compile scan_8long.c

str_len.o: compile \
str_len.c \
str.h
	./compile str_len.c

=== debian/changelog ===
checkpw (1.02-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.2.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for checkpw.
  * Use secure URI in debian/watch.
  * Fixed compiler errors and warnings from GCC 14 (Closes: #1074879).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 07 Nov 2024 01:11:41 +0100

checkpw (1.02-4) unstable; urgency=medium

  * QA upload.
  * Port to dh build system.
  * Remove info from Description that does not belong there.
  * d/watch: Scan sf.net.
  * Drop diet leftovers.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Apr 2024 18:14:33 +0200

checkpw (1.02-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format (Closes: #1007397).
  * d/copyright: Convert to machine-readable format.
  * Use "that" over "which" in package short description (Closes: #856829).
  * Remove diet README.

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 22:02:57 +0100

checkpw (1.02-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #947694)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 07:43:36 -0300

checkpw (1.02-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Remove timestamps from the build system (Closes: #777299)

  [ Vagrant Cascadian ]
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding build
    paths. (Closes: #1020887)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 20 Oct 2022 11:41:55 -0700

checkpw (1.02-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2015-0885: Fix denial of service via -- in usernames (Closes: #780139)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2015 14:49:55 +0100

checkpw (1.02-1) unstable; urgency=low

  * new upstream point release.
  * debian/diff/env-MAILDIR.diff; replaced with
    debian/diff/0001-bug-304737-default-Maildir-may-be-overridden-thro.diff.
  * debian/checkpw.8, debian/checkapoppw.8: default 'Maildir' may be
    overridden through the env variable $MAILDIR.
  * debian/implicit: add proper dependencies to support 'parallel build'
    through make -j (thx Daniel Schepler for the patch, closes: #445817).
  * debian/rules: target patch:, clean: apply diffs from debian/diff/ with
    -p1 instead of -p0.
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Dec 2007 10:21:45 +0000

checkpw (1.01-1) unstable; urgency=low

  * new upstream point release.
  * debian/diff/errno.diff: remove; fixed upstream.
  * debian/implicit: update to revision 1.10.
  * debian/checkpw.README.Debian: minor cleanup.
  * debian/rules: cleanup; support DEB_BUILD_OPTIONS=diet to build against
    diet libc.
  * debian/diff/env-MAILDIR.diff: new; default 'Maildir' may be overidden
    through the environment variable $MAILDIR (closes: #304737).
  * debian/README.Debian.diet: new; how to build package with the diet
    libc.
  * debian/checkpw.docs: add debian/README.Debian.diet.

 -- Gerrit Pape <pape@smarden.org>  Tue, 27 Sep 2005 19:41:19 +0000

checkpw (1.00-3) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; fix typo in
    Description.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian: rename to debian/checkpw.README.Debian.
  * debian/dirs, debian/docs, debian/examples: remove; obsolete.
  * debian/checkpw.docs, debian/checkpw.examples: new.

 -- Gerrit Pape <pape@smarden.org>  Mon, 29 Dec 2003 13:08:16 +0000

checkpw (1.00-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.6.1.0; minor changes to the long
    description.
  * debian/rules: remove target configure; add target patch: apply diffs
    in debian/diff/; target clean: reverse apply debian/diff/*.
  * debian/diff/errno.diff: new: extern int errno -> #include <errno.h>.

 -- Gerrit Pape <pape@smarden.org>  Mon, 10 Nov 2003 08:45:34 +0000

checkpw (1.00-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: do not install /etc/checkpw plus subdirs, but install
    service directories as examples; install binaries in /usr/bin/,
    omit loginlog and selectcheckpw programs, install them as examples;
    provide upstream run-script examples.
  * debian/control: Standards-Version: 3.5.8; strip down Build-Depends
    and Depends.
  * debian/copyright: adapt.
  * 1st official debian package (closes: #182681).
  * debian/postinst, debian/postrm: remove.

 -- Gerrit Pape <pape@smarden.org>  Tue,  4 Mar 2003 14:42:32 +0100

checkpw (0.70-0.5) woody; urgency=low

  * debian/postinst: change function declaration syntax (bashism?) to
    support more /bin/sh shells.

 -- Gerrit Pape <pape@smarden.org>  Mon,  8 Apr 2002 15:09:55 +0200

checkpw (0.70-0.4) woody; urgency=low

  * woody package.
  * pop username and client ip is logged on login.

 -- Gerrit Pape <pape@innominate.com>  Tue, 14 Aug 2001 16:06:10 +0200

checkpw (0.70-0.3) unstable; urgency=low

  * logs are stored in /var/log/pop/ or /var/log/apop/, accessible through
    /var/service/[a]pop/log/main/.
  * /etc/checkpw/.qmail-start removed.
  * depends on qmail-run >= 0.2.0.

 -- Gerrit Pape <pape@innominate.com>  Mon, 23 Apr 2001 23:47:11 +0200

checkpw (0.70-0.2) unstable; urgency=low

  * run tcpserver with softlimit -m 2000000.

 -- Gerrit Pape <pape@innominate.com>  Thu, 19 Apr 2001 15:54:21 +0200

checkpw (0.70-0.1) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.com>  Sat, 24 Mar 2001 19:31:31 +0100

=== debian/control ===
Source: checkpw
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dpkg-build-api (= 1),
Vcs-Browser: https://salsa.debian.org/debian/checkpw
Vcs-Git: https://salsa.debian.org/debian/checkpw.git

Package: checkpw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: checks password that is stored in ~/Maildir/.password
 checkpw is an implementation of the checkpassword interface that checks a
 password against a ``.password'' file in the user's Maildir. The password
 file has read and write permissions to the user only.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	for i in conf-*; do \
	  test -e $${i%'{orig}'}'{orig}' || cp -v $$i $$i'{orig}'; \
	done
	echo '$(CC) $(CFLAGS)' >conf-cc
	echo '$(CC) $(LDFLAGS)' >conf-ld
	echo /usr >conf-home

execute_before_dh_clean:
	rm -f `cat TARGETS`
	for i in `ls *'{orig}' || :`; do mv -vf $$i $${i%'{orig}'}; done

=== debian/watch ===
version=4
https://sf.net/checkpw/checkpw-(\d\S+)\.tar\.gz
